%define		srcname		QDevelop
%define		rev		rev77
%define		qmake		%_qt4dir/bin/qmake
Name:		qdevelop
Version:	0.21
Release:	alt0.%rev.M24.3
License:	GPL
Url:		http://%name.org
Summary:	IDE dedicated to QT4
Group:		Development/KDE and QT
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Source0:	%srcname-%version-%rev.zip

BuildPreReq:	ImageMagick
# Automatically added by buildreq on Wed Nov 29 2006
# Manually removed qt4-settings
BuildRequires:	XFree86-libs fontconfig freetype2 gcc-c++ libqt4-devel libstdc++-devel unzip
Requires:	gdb ctags libqt4-devel make qt4-designer libqt4-sql-sqlite qt4-assistant qt4-doc
Provides:	%srcname

%description
QDevelop is a development environment entirely dedicated to Qt4.
QDevelop requires Qt4, gcc under Linux or MinGW under Windows,
possibly gdb for programs debugging and ctags for code completion.
QDevelop is available in English, French, German, Dutch, Polish,
Spanish, Chinese and Russian. If you want to translate in your
language, please contact to author.
QDevelop is not a Kdevelop like or reduced. It's an independent
IDE dedicated to Qt and is totally independent of KDevelop.
Less complete, but faster, light and especially multi-platforms.
QDevelop and KDevelop have different code sources.

%prep
%setup -T -c
%__unzip -qa %SOURCE0

%build
cd %srcname-%version-%rev
%qmake %srcname.pro
%__subst 's|-pipe -Wall -W -D_REENTRANT|%optflags|g' Makefile
%make_build

%install
cd %srcname-%version-%rev
%__install -Dp -m 0755 bin/%srcname %buildroot%_bindir/%name

# Menu & icons
%__mkdir -p %buildroot%_miconsdir %buildroot%_liconsdir %buildroot%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): section="Applications/Development/Development environments" \
title="%srcname" icon="%name.png" needs="x11" longtitle="IDE dedicated to QT4" \
command=%_bindir/%name
EOF
convert -resize 48x48 resources/images/logo.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 resources/images/logo.png %buildroot%_iconsdir/%name.png
convert -resize 16x16 resources/images/logo.png %buildroot%_miconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%files
%doc %srcname-%version-%rev/ChangeLog.txt %srcname-%version-%rev/copying %srcname-%version-%rev/README*
%_bindir/*
%_menudir/*
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png

%changelog
* Sat Dec 02 2006 Motsyo Gennadi <drool@altlinux.ru> 0.21-alt0.rev77.M24.3
- add qt4-assistant qt4-doc to Requires

* Thu Nov 30 2006 Motsyo Gennadi <drool@altlinux.ru> 0.21-alt0.rev77.M24.2
- add libqt4-sql-sqlite to Requires
- modify menu

* Wed Nov 29 2006 Motsyo Gennadi <drool@altlinux.ru> 0.21-alt0.rev77.M24.1
- initial build for ALT Linux 2.4 Master
